Subject: Proposed new L3VPN milestones

From: Ben Niven-Jenkins <[email-masked]>
Date: Mon, 26 Jul 2010 16:50:34 +0100

Colleagues,

Now we have consensus for new charter text it is time to come up with some associated milestones to guide our work.

Following some discussion with a few of you I propose the following milestones. The dates are suggestions and I would welcome comments on whether they are realistic. I have also included associated drafts in () after each milestone to help frame the underlying work of the milestone, however that is not to say that the drafts in () will form the basis of the final work - that will require WG consensus/adoption as per the normal IETF protocol. Similarly where there are multiple drafts no assumption has been made as to whether these should be combined, progressed separately or an alternative solution document is required.

I will spend a few minutes talking about these during our WG meeting on Friday morning but if anyone has comments before that feel free to send them either to the list or privately to the chairs.

Proposed Milestones with suggested dates:
Oct 2010	Submit MVPNv6 using PIM & S-PMSIs specification to IESG as PS (draft-ietf-l3vpn-mvpn-spmsi-joins).

Nov 2010	Submit MVPN infrastructure address encoding document to IESG for publication as PS (draft-rosen-l3vpn-mvpn-infra-addrs)

May 2011	Submit S-PMSI A-D route Wildcard selection specification to IESG as PS (draft-rosen-l3vpn-mvpn-wildcards & ?????)

Sep 2011	Submit specification of using Bi-directional P-tunnels for MVPN to IESG as PS (draft-rosen-l3vpn-mvpn-bidir)

Nov 2011	Submit MVPN Extranet specification to IESG as PS (draft-raggarwa-l3vpn-bgp-mvpn-extranet & draft-rosen-l3vpn-mvpn-extranet)

Nov 2011	Submit specification for using PE-PE PIM in the absence of MI-PMSI to IESG as PS (draft-rosen-l3vpn-mvpn-mspmsi)

Proposed Milestones that also need suggested dates:
			Submit specification for fast failover in (M)VPN to IESG as PS (draft-morin-l3vpn-mvpn-fast-failover)
			Submit specification for using Internal BGP as PE-CE protocol to IESG as PS (draft-ietf-l3vpn-ibgp)
			Submit Submit specification for modifying Route Targets by BGP Route Reflectors including when the VRFs are on the same PEs (draft-ietf-l3vpn-acceptown-community)

Thanks
Ben